import { dateformat } from '@/utils/formatTime';
export default {
  data() {
    return {
      // 四个页面选择器的禁用规则
        pickerOptions: {
          disabledDate: val => {
            // 只能筛选一年之内得数据,并且最大跨度为六个月
            const yearBefore = Date.now() - 12 * 30 * 24 * 60 * 60 * 1000;
            const threeMonths = 3 * 30 * 24 * 60 * 60 * 1000;
            if (this.minDate) {
              const curTime = this.minDate.getTime();
              const min = curTime - threeMonths > yearBefore ? curTime - threeMonths : yearBefore;
              return val.getTime() > curTime + threeMonths || val.getTime() < min || val.getTime() > this.maxDate;
            }
            return val.getTime() <= yearBefore || val.getTime() > this.maxDate.getTime();
          },
          onPick: ({ maxDate, minDate }) => {
            this.minDate = minDate;
          }
        },
        minDate: null,
        maxDate: new Date(),
        dateformat: dateformat
    }
  }
}
